package com.jeeplus.modules.sg.managementcenter.materialplan.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 基础数据 -- 库存导入表
 */
public class InventoryTable extends DataEntity<InventoryTable> {
    private String uniqueCode;//物资唯一码（批次编码）
    private Double inventoryQuantity;//非限制库存数量
    private Double numberFrozen;//冻结数量
    private String flagStorage;//是否入库
    private String supplierName;//供应商名称

    public String getFlagStorage() {
        return flagStorage;
    }

    public void setFlagStorage(String flagStorage) {
        this.flagStorage = flagStorage;
    }

    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }

    public Double getInventoryQuantity() {
        return inventoryQuantity;
    }

    public void setInventoryQuantity(Double inventoryQuantity) {
        this.inventoryQuantity = inventoryQuantity;
    }

    public Double getNumberFrozen() {
        return numberFrozen;
    }

    public void setNumberFrozen(Double numberFrozen) {
        this.numberFrozen = numberFrozen;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

}
